# 대화방 등록 상태 확인

## Request

## 발신번호가 RBC에 대상 사업자의 발신번호로 등록되어 있는지 확인할 수 있습니다.<br>

> 발신번호가 RBC에 대상 사업자의 발신번호로 등록되어 있는지 확인할 수 있습니다.\
> \
> &#x20; \+ \*\*계정 권한: 대행사\*\*  <br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"AgencyId":{"name":"agencyId","in":"path","schema":{"type":"string","maxLength":20},"required":true,"description":"maxLength: 20 - RCS Biz Center에 등록된 대행사 ID 입니다.\n"},"CorpRegNum":{"name":"corpRegNum","in":"path","schema":{"type":"string","maxLength":10},"required":true,"description":"maxLength: 10 - 대상 기업의 사업자등록번호(10자리) 입니다.\n"},"ChatbotId":{"name":"chatbotId","in":"path","description":"브랜드 내 대화방 정보 접근시 사용되는 대화방ID Path Parameter 입니다.\n","schema":{"type":"string"},"required":true}}},"paths":{"/agency/{agencyId}/corp/{corpRegNum}/chatbot/{chatbotId}":{"get":{"summary":"발신번호가 RBC에 대상 사업자의 발신번호로 등록되어 있는지 확인할 수 있습니다.\n","description":"발신번호가 RBC에 대상 사업자의 발신번호로 등록되어 있는지 확인할 수 있습니다.\n\n  + **계정 권한: 대행사**  \n","parameters":[{"$ref":"#/components/parameters/AgencyId"},{"$ref":"#/components/parameters/CorpRegNum"},{"$ref":"#/components/parameters/ChatbotId"}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="121">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>등록 여부 확인 결과</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="205">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="80">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>corpRegNum</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>조회 요청한 사업자등록번호</td></tr><tr><td><strong><code>chatbotId</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>조회 요청한 발신번호</td></tr><tr><td><strong><code>conditionValue</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td><p>발신번호 등록 여부 상태값</p><ul><li>0: RBC 미등록 발신번호</li><li>1: 해당 사업자로 등록된 발신번호</li><li>2: 해당 사업자로 등록된 발신번호가 아님</li></ul></td></tr><tr><td><strong><code>conditionDescription</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>conditionValue 에 대한 설명<br>"RBC 미등록 발신번호"</p><p>"해당 사업자로 등록된 발신번호"</p><p>"해당 사업자로 등록된 발신번호가 아님"</p></td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "corpRegiNum": "3148158360",
            "chatbotId": "09046123177",
            "conditionValue": 1,
            "conditionDescription": "해당 사업자로 등록된 발신번호"
        }
    ],
    "status": 200
}

{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "corpRegiNum": "3148158360",
            "chatbotId": "10008600",
            "conditionValue": 2,
            "conditionDescription": "해당 사업자로 등록된 발신번호가 아님"
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}

{
    "error": {
        "code": "61005",
        "message": "Invalid client id"
    },
    "status": 401
}

{
    "error": {
        "code": "61007",
        "message": "not allowed IP. unregistered 0.0.0.0"
    },
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/agency/get_corp_chatbot_check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
